import shutil
from configobj import ConfigObj
import languageHandler
import os


_addonDir = os.path.join(os.path.dirname(__file__)).decode("mbcs") # The root of an addon folder
def onInstall():
	lang = languageHandler.curLang
	keystrokesDir = os.path.join (_addonDir, "..", "KeyboardShortcuts", "GlobalPlugins", "KeyboardShortcuts", "Keystrokes", lang)
	aksDir = os.path.join (keystrokesDir,"AKS")
	nksDir = os.path.join (keystrokesDir,"NKS")
	iniFile = os.path.join (keystrokesDir, 'Applications.ini')
	aksFile = os.path.join(_addonDir, "KeyboardShortcuts", lang, "Miranda NG.AKS")
	nksFile = os.path.join(_addonDir, "KeyboardShortcuts", lang, "Miranda NG.NKS")
	if os.path.isdir (aksDir) and os.path.isdir (nksDir) and os.path.isfile (aksFile) and os.path.isfile (nksFile) and os.path.isfile (iniFile):
		shutil.copy (aksFile, aksDir)
		shutil.copy (nksFile, nksDir)
		config = ConfigObj(iniFile, encoding = "utf-8")
		section = config['Applications']
		if not section.has_key('Miranda32') and not section.has_key ('Miranda64'):
			section['Miranda32'] = "Miranda NG"
			section['Miranda64'] = "Miranda NG"
			try:
				config.write()
			except IOError:
				pass
